Bug 1387874 - MSG_FASTOPEN definition missing
Summary: MSG_FASTOPEN definition missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Patsy Griffin
QA Contact: Sergey Kolosov
URL:
Whiteboard:
Depends On:
Blocks: 1413146
TreeView+ depends on / blocked
 
Reported: 2016-10-22 22:04 UTC by Jeremy Harris
Modified: 2020-09-10 09:52 UTC (History)
7 users (show)

Fixed In Version: glibc-2.17-187.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 18:09:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1916 0 normal SHIPPED_LIVE Moderate: glibc security, bug fix, and enhancement update 2017-08-01 18:05:43 UTC

Description Jeremy Harris 2016-10-22 22:04:50 UTC
Description of problem:

 The kernel supports TCP_FASTOPEN (the system include files have it, the
/proc/sys/net/ipv4/tcp_fastopen magic file exists) but there is no definition
of MSG_FASTOPEN (required for applications using the feature to build).

Version-Release number of selected component (if applicable):
  glibc-headers-2.17

How reproducible:
 100%


Additional info:
 F24, with glibc-headers-2.23.1  has it present in /usr/include/bits/socket.h

Comment 3 Jeremy Harris 2016-10-24 10:09:47 UTC
I was attempting to compile a (bleeding-edge development version) of an
application which can use TCP Fast Open (RFC 7413).  The specific application,
Exim, is not delivered by Red Hat but is the globally dominant internet-facing MTA
according to one scanning site.

TCP Fast Open is also expected to be of interest for general web access
(it can remove one roundtrip time; important for shortlived connections).

Comment 9 errata-xmlrpc 2017-08-01 18:09:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1916


Note You need to log in before you can comment on or make changes to this bug.